class Telephone:
    
    def __init__(self):
        # données privées
        self.__numero_serie = '123NouzIronsAuBois456DesCerises'
        # données protégées
        self._code_pin = '1234'
        # données publiques
        self.modele ='nokai kitu 45'
        self.numero ='06 06 06 06 06'
        
    # méthodes protégées
    def _chercherReseau(self):
        print('Réseau FSR, bienvenue dans un monde meilleur...')
        
    def _recupMessage(self):
        print("Vous n'avez pas de message")
        print("Achetez les corn flakes Snapk")
        
    # interface
    def allumer(self, code_pin):
        print(self.modele)
        if code_pin == self._code_pin:
            print('Tu ti Tu Ti')
            self._chercherReseau()
            self._recupMessage()
        else:
            print('mauvais code pin')
            
if __name__ == '__main__':
    nokai = Telephone()
    nokai.allumer('1524')
    nokai.allumer('1234')
